petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPPIPEGCRSetModifyPC

Sets the routine used by PIPEGCR to modify the preconditioner.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPPIPEGCRSetModifyPC(KSP ksp,PetscErrorCode (*function)(KSP,PetscInt,PetscReal,void*),void *data,PetscErrorCode (*destroy)(void*))

Logically Collective on ksp

### Input Parameters

+ ksp - iterative context obtained from KSPCreate() . function - user defined function to modify the preconditioner . ctx - user provided contex for the modify preconditioner function - destroy - the function to use to destroy the user provided application context.

### Calling Sequence of function

PetscErrorCode function (KSP ksp, PetscInt n, PetscReal rnorm, void *ctx)

ksp - iterative context n - the total number of PIPEGCR iterations that have occurred rnorm - 2-norm residual value ctx - the user provided application context

### Notes

The default modifypc routine is KSPPIPEGCRModifyPCNoChange()

.seealso: KSPPIPEGCRModifyPCNoChange()

### Level

intermediate

### Location

src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c

### Implementations

KSPPIPEGCRSetModifyPC_PIPEGCR in src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages